---
updatedAt: 2026-04-05T12:55:34.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Get LDAP Settings by Key

Get LDAP settings by key.


**Security:** Requires admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - LDAP API",
    "description": "LDAP configuration APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer `<token>`)\n\n**Security:** All APIs require admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "LDAP",
      "description": "APIs for creating, updating, deleting, and managing LDAP settings and LDAP group settings in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/ldap/settings/{key}": {
      "get": {
        "tags": [
          "LDAP"
        ],
        "summary": "Get LDAP Settings by Key",
        "description": "Get LDAP settings by key.\n\n\n**Security:** Requires admin privileges.\n",
        "operationId": "getLdapSettingsByKey",
        "parameters": [
          {
            "name": "key",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The LDAP settings key"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/LdapSettings"
                }
              }
            }
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - LDAP settings not found"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    },
    "schemas": {
      "LdapSettings": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string"
          },
          "enabled": {
            "type": "boolean"
          },
          "ldap_url": {
            "type": "string"
          },
          "user_dn_pattern": {
            "type": "string"
          },
          "search": {
            "$ref": "#/components/schemas/LdapSearchPattern"
          },
          "auto_create_user": {
            "type": "boolean"
          },
          "email_attribute": {
            "type": "string"
          },
          "ldap_poisoning_protection": {
            "type": "boolean"
          },
          "allow_user_to_access_profile": {
            "type": "boolean"
          },
          "paging_support_enabled": {
            "type": "boolean"
          }
        }
      },
      "LdapSearchPattern": {
        "type": "object",
        "properties": {
          "search_filter": {
            "type": "string"
          },
          "search_base": {
            "type": "string"
          },
          "search_sub_tree": {
            "type": "boolean"
          },
          "manager_dn": {
            "type": "string"
          },
          "manager_password": {
            "type": "string"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```